Summary: Shared Memory Abstraction Library
Name: mm
Version: 1.0.11
Release: 1
Group: Libraries
Copyright: BSD-style, OpenSource
Url: http://www.engelschall.com/sw/mm/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.engelschall.com/sw/mm/mm-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
The MM library is a 2-layer abstraction library which simplifies the usage of
shared memory between forked (and this way strongly related) processes under
Unix platforms. On the first layer it hides all platform dependent
implementation details (allocation and locking) when dealing with shared
memory segments and on the second layer it provides a high-level malloc(3)-
style API for a convenient and well known way to work with data-structures
inside those shared memory segments.

The library is released under the term of an open-source (BSD-style) license
because it's originally written for a proposed use inside next versions of
the Apache webserver as a base library for providing shared memory pools to
Apache modules (because currently Apache modules can only use heap-allocated
memory which isn't shared accross the pre-forked server processes). The
requirement actually comes from comprehensive modules like mod_ssl, mod_perl
and mod_php which would benefit a lot from easy to use shared memory pools.
Mostly all functionality (except for shared locks in addition to exclusive
locks and multi-segment memory areas instead of single-segment memory areas)
is already implemented and the library already works fine under FreeBSD,
Linux and Solaris and should also adjust itself for most other Unix platforms
with it's GNU Autoconf and GNU Libtool based configuration and compilation
procedure. 


%prep
%setup -q


%build
./configure --prefix=/usr
make
make test


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
chmod 755 $RPM_BUILD_ROOT/usr/lib/libmm.so.*.*.*


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc CHANGES INSTALL LICENSE README
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

